Subject: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Jan 2025 10:31:09 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Thu, 2 Jan 2025 01:31:39 -0600
> Cc: [email-masked], Michael Albinus <[email-masked]>
> 
> Note that this is a minimized reproducer.  I first noticed the issue
> after I upgraded the GNU ELPA package debbugs, which recently got
> support for threads using `make-thread'.
> 
> In that package, the function `debbugs-gnu-show-reports' in
> debbugs-gnu.el is called in a thread, and the backtrace is the same.
> See debbugs-gnu.el:897.
> 
> I don't see `sleep-for' called directly there, but I didn't yet
> investigate it very closely.  Maybe Michael (in Cc) knows more.

The call to sleep-for is just a trigger.  What you need to look for is
a call to ns_select_1, which calls [NSApp run].